#extension GL_OES_EGL_image_external : require

#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif

varying vec2 textureCoordinate;
uniform vec4 color;
uniform vec4 glassColor;

void main()
{
    float d = distance(textureCoordinate, vec2(0.5, 0.5));
    float dx = abs(textureCoordinate.x - 0.5);
    if ((d > 0.495 && d <= 0.5) || (d > 0.395 && d <= 0.4) || (d > 0.025 && d <= 0.04) || (dx <= 0.1 && dx > 0.04 && textureCoordinate.y <= 0.51 && textureCoordinate.y > 0.49)){
        gl_FragColor = vec4(1.0, 1.0, 1.0, 1.0);
    } else if (d > 0.4 && d < 0.495) {
        gl_FragColor = color;
    } else {
        gl_FragColor = glassColor;
    }
}
